Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
rob_fmttm Posted on 25/06/2020 14:52
Boro Season Cards: Advice For Credit On Renewals
 
Supporters wanting to renew Season Cards using the credit on their account must contact the Ticket Office directly to process renewal...
Supporters wanting to renew using the credit should either contact the Ticket Office on 01642 929421 (lines open Mon-Fri 10am-4pm) or email ticket@mfc.co.uk and include name, Boro Ref and a contact number so we can call you back to process your application.

The credit cannot be processed using our ticketing website and will not be applied at the time of payment for online transactions.

Fans are also reminded that 2020/21 Season Cards are available at the Early Bird prices for both renewals and new applicants.

Supporters with match tickets for games that will be played behind closed doors can receive either a credit on your account or a full refund.

Please return your tickets stating if you would prefer a ticketing account credit or a full refund, along with name(s), Boro ID(s) and a contact telephone number should we need to contact you, to:

Ticket Office
Middlesbrough Football Club
Riverside Stadium
Middlesbrough
TS3 6RS

Once tickets have been received they will be refunded to the original credit/debit card.

A confirmation email will be sent to the lead booker confirming the cancellation of tickets, the refund may then take up to five working days to appear in your account depending on your bank.

Please note, the Ticket Office remains closed for in-person visitors to the Riverside Stadium

Link: Renewal Advice
IP: Logged
JLinardi Posted on 25/06/2020 14:55

Boro Season Cards: Advice For Credit On Renewals
Is there a new deadline yet?
IP: Logged
rob_fmttm Posted on 25/06/2020 15:47

Boro Season Cards: Advice For Credit On Renewals
Nothing mentioned - they probably cannot put down a deadline until the plan for next season starts to take shape.
IP: Logged
yearbyred Posted on 25/06/2020 16:38

Boro Season Cards: Advice For Credit On Renewals
We have to physically return our season cards?

IP: Logged
Primus84 Posted on 25/06/2020 19:44

Boro Season Cards: Advice For Credit On Renewals
They never make it easy do they. What is the point of having online ticketing if it cannot handle something as simple as a credit balance?
IP: Logged
littledick Posted on 25/06/2020 20:57
Edited On: 25/06/2020 20:59
Boro Season Cards: Advice For Credit On Renewals
What's the alternative then ?

Is it a cash refund ?

How / when can you get a refund ?


The OP is unclear, as said above, do season card holders have to return there cards, as it mentions quoting ID info ?

Is it assumed everyone's saying the club can keep it
IP: Logged
boroPE Posted on 25/06/2020 21:01

Boro Season Cards: Advice For Credit On Renewals
It says if you have matchday tickets you have to return them for a refund. Still crazy though how the credit cant be added at the till online.
IP: Logged
Primus84 Posted on 25/06/2020 21:39

Boro Season Cards: Advice For Credit On Renewals
I'm not even sure why I'm surprised anymore, the club is a shambles on and off the pitch and has been for many years.
IP: Logged
kenna Posted on 25/06/2020 21:44

Boro Season Cards: Advice For Credit On Renewals
Typical boro
IP: Logged
rob_fmttm Posted on 25/06/2020 22:21
Edited On: 25/06/2020 22:25
Boro Season Cards: Advice For Credit On Renewals
Just to clarify - you DO NOT send in season cards to the Riverside to renew (and earn the credit). I have just checked this out with Boro - after reading this thread.
But you must ring or email as the ticket office remains closed.

The mention of tickets to be sent in is for people that bought match tickets for games that are now being played behind closed doors. So it could have been Swansea, Stoke away and Hull City away.
IP: Logged
Primus84 Posted on 25/06/2020 22:52

Boro Season Cards: Advice For Credit On Renewals
How are they going to cope when thousands all need to renew over the phone instead of the majority using the website?

They're so backwards it's comical.
IP: Logged
rob_fmttm Posted on 26/06/2020 00:27

Boro Season Cards: Advice For Credit On Renewals
By sending an email?
IP: Logged
littledick Posted on 26/06/2020 05:27

Boro Season Cards: Advice For Credit On Renewals
So the club will be receiving 16,000 emails then, assuming all existing season card holders are renewing, and wanting their 2019-2020 season card credit returning ?

Or am I missing something here ?
IP: Logged
Smellyhelly Posted on 26/06/2020 08:55

Boro Season Cards: Advice For Credit On Renewals
Renewed yesterday, rang up and all sorted within minutes, no problem 😉
IP: Logged
borofan402 Posted on 26/06/2020 09:16

Boro Season Cards: Advice For Credit On Renewals
I emailed them immediately when it was first announced to make it clear I wanted a cash refund back into my bank. Despite filling in their poor excuse of a form designed to put people off asking for a reimbursement... still I have not received it and I rang them up yesterday.

I was told the following:

+ We are a skeleton crew
+ We are really busy
+ There is only one person who does YF's role now
+ It takes up to 30 days for the refund.

I know what they are trying to do and I dont like it.

------------------------------------------

In a seperate matter, a friend of mine has renewed so was asking if he could use his credit for the new Boro shirt next season. He was told it's not available to be used for retail purchases. So what is he doing? Taking the cash refund and buying the Boro shirt with that. Genius Boro [:D]
IP: Logged
Primus84 Posted on 26/06/2020 13:01

Boro Season Cards: Advice For Credit On Renewals
Rob your "clever" answer of "By sending an email?" is ridiculous - they then have to ring me back to sort this.

The majority of people renew online it is 2020! To force people into telephone calls at a time when businesses are struggling to staff things is classic Boro stupidity.
IP: Logged
littledick Posted on 26/06/2020 14:58

Boro Season Cards: Advice For Credit On Renewals
Like I said earlier......is that going to be potentially 16,000 phone calls then
IP: Logged
Primus84 Posted on 26/06/2020 15:57

Boro Season Cards: Advice For Credit On Renewals
I suppose it depends if we stop up or not - if we go down a lot won't renew. Also if we have 16,000 season ticket holders then many will be family and purchase together so probably not as many as 16,000 calls but certainly a lot of calls as no one can now renew using the website - total and utter stupidity on the part of MFC.
IP: Logged
Cant_pick_a_username Posted on 27/06/2020 09:34

Boro Season Cards: Advice For Credit On Renewals
Some people must whinge about everything.

Itís not your business, itís not your decision. If the club think they can handle thousands of emails then thatís their decision. Theyíve put in a process as they think it will work for them. Follow the process and see if it works for you. If it doesnít then you can have a whinge!
IP: Logged
Primus84 Posted on 27/06/2020 10:42

Boro Season Cards: Advice For Credit On Renewals
The evidence on this thread already shows you the club canít cope - people waiting on their refund with excuses listed above about being a skeleton staff overwhelmed etc.

Being able to renew online using the credit is a completely reasonable expectation.
IP: Logged
Cant_pick_a_username Posted on 27/06/2020 15:46

Boro Season Cards: Advice For Credit On Renewals
Actually judging by the comments above one person was sorted quickly and one is still waiting.

And Iíll add in I emailed this morning (this thread gave me the reminder) and have just received a reply.

Not bad considering theyíre wading through 16000 emails and they canít cope. [smi]
IP: Logged
SilentProf Posted on 27/06/2020 16:50

Boro Season Cards: Advice For Credit On Renewals
Does anyone know how many have renewed already? The club do and they know how many they expect to call or email. If they have chosen to prioritise renewals over refunds, it's understandable.
IP: Logged
Primus84 Posted on 27/06/2020 17:54

Boro Season Cards: Advice For Credit On Renewals
The fact is they made a huge deal about their online ticketing platform and now it canít even provide basic functionality.

+ We are a skeleton crew
+ We are really busy
+ There is only one person who does YF's role now
+ It takes up to 30 days for the refund.
IP: Logged
Primus84 Posted on 03/07/2020 12:36

Boro Season Cards: Advice For Credit On Renewals
We kindly ask that supporters do not contact the Ticket Office asking for an update - we are unable to respond to each due to the high volume of emails being received.

We are working through the refunds as quickly as possible, which can take up to 30 days to process.
IP: Logged
TeeSv Posted on 28/07/2020 12:06

Boro Season Cards: Advice For Credit On Renewals
Just renewed mine and my sons over the phone. Refund applied there and then, 5 min job [^]
IP: Logged
The_Downing_Wave Posted on 28/07/2020 13:21

Boro Season Cards: Advice For Credit On Renewals
there is a video showing how to renew on-line right here on the mfc website

Link: renew on-line step by step video
IP: Logged
SmogOnOuseburn Posted on 28/07/2020 13:54

Boro Season Cards: Advice For Credit On Renewals
That misses the point, Downing Wave, as that video does not cover the credit for the missing games last season.
You need to telephone to renew season tickets.
IP: Logged
The_Downing_Wave Posted on 29/07/2020 10:08

Boro Season Cards: Advice For Credit On Renewals
Surely everybody who renews 'on line' will need credit applying?

So why then does the club put this video out which doesn't allow you to do it?
IP: Logged
Cant_pick_a_username Posted on 31/07/2020 15:32

Boro Season Cards: Advice For Credit On Renewals
Money landed in my account yesterday.

Straight out on the home kit for my kids.

Good deal as far as Iím concerned [^]
IP: Logged
asredastheycome Posted on 01/08/2020 14:12

Boro Season Cards: Advice For Credit On Renewals
How do you get your credit if you are not renewing.
IP: Logged
uncle_rico Posted on 03/08/2020 16:48

Boro Season Cards: Advice For Credit On Renewals
I think you can just ask for a refund to your bank account. Think you can e-mail, phone or do it in person?

I'll be renewing tomorrow but rather than ringing and asking for it to be taken off the full amount, think it'll just be easier to buy it online and get the refund later.

I guess that would be the same for anyone wanting to use the finance option? Just do it for the full amount and get the value of your 4 games refunded back?
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213